> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gmicloud.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# bria-video-increase-resolution

> API usage guide for bria-video-increase-resolution.

{/* source_model_id: bria-video-increase-resolution */}

{/* source_updated_at: 1782167641 */}

**Model ID**

```bash theme={null}
bria-video-increase-resolution
```

**Calling method:** async

# Bria Video Increase Resolution API Usage Guide

## Overview

**Bria Video Increase Resolution** is Bria's new video editing model to increase resolution. It utilizes an input video to upscale it by a specified factor (2x or 4x) while maintaining visual quality. Increases to 8K at max.

## Authentication

All API requests require authentication using an API key. Include your API key in the Authorization header:

```
Authorization: Bearer YOUR_API_KEY
```

***

## Submit Video Generation Request

### Base URL

```
https://console.gmicloud.ai
```

### Endpoint

```
POST /api/v1/ie/requestqueue/apikey/requests
```

### Request Format (cURL)

```bash theme={null}
curl -X POST "https://console.gmicloud.ai/api/v1/ie/requestqueue/apikey/requests" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "bria-video-increase-resolution",
    "payload": {
      "video": "https://example.com/input_video.mp4",
      "preserve_audio": true,
      "desired_increase": "2",
      "output_container_and_codec": "mp4_h264"
    }
  }'
```

### Request Parameters

| Parameter                     | Type    | Required | Description                         | Default   | Constraints                                                                                                                                      |
| ----------------------------- | ------- | -------- | ----------------------------------- | --------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| video                         | string  | Yes      | Input video URL.                    | -         | Max 60s; Maximum result resolution: 7680x4320 (8K). If the selected increase results in a greater resolution, the request will not be processed. |
| preserve\_audio               | boolean | No       | Whether to keep audio or not.       | true      | -                                                                                                                                                |
| desired\_increase             | enum    | No       | Integer scale factor for upscaling. | "2"       | "2" or "4"                                                                                                                                       |
| output\_container\_and\_codec | enum    | No       | Format of the output video.         | mp4\_h264 | See below.                                                                                                                                       |

**Output Options:** mp4\_h264, mp4\_h265, webm\_vp9, mov\_h265, mov\_proresks, mkv\_h264, mkv\_h265, mkv\_vp9, gif.

***

## Check Request Status

### Endpoint

`GET /api/v1/ie/requestqueue/apikey/requests/{request_id}`

### Example Response

```bash theme={null}
{
  "request_id": "550e8400-e29b-41d4-a716-446655440000",
  "org_id": "bria",
  "model": "bria-video-increase-resolution",
  "status": "success",
  "payload": {
    "video": "https://example.com/input_video.mp4",
    "preserve_audio": true,
    "desired_increase": "2"
  },
  "outcome": {
    "video_url": "https://storage.googleapis.com/bucket/generated-video.mp4"
  },
  "created_at": 1750442925,
  "updated_at": 1750442930
}
```

***

## Request Status Values

| Status     | Description                             |
| ---------- | --------------------------------------- |
| queued     | Request is waiting to be processed      |
| processing | Video generation is in progress         |
| success    | Video generation completed successfully |
| failed     | Video generation failed                 |
| cancelled  | Request was cancelled                   |

***
